import { PaymentMethodToken } from '@primer-io/checkout-web';
import Vue from 'vue';
declare type CallbackMixinOptions = {
    statusPropsName: string;
    functionPropsName: string;
    finishEventName: string;
    eventName: string;
};
export declare const createCallbackMixin: (options: CallbackMixinOptions) => {
    new (...args: any): {
        [x: string]: boolean | Function | Error;
        callbackPromise: any;
        clearOnTokenizeSuccess(): void;
        isWaitingForOnTokenizeSuccess(): boolean;
        resolveOnTokenizeSuccess(err: Error): void;
        onTokenizeSuccess(arg: PaymentMethodToken): any;
        onTokenizeSuccessStatusChange(tokenizeSuccessStatus: boolean | Error): void;
        readonly $el: Element;
        readonly $options: import("vue").ComponentOptions<Vue, import("vue/types/options").DefaultData<Vue>, import("vue/types/options").DefaultMethods<Vue>, import("vue/types/options").DefaultComputed, import("vue/types/options").PropsDefinition<Record<string, any>>, Record<string, any>>;
        readonly $parent: Vue;
        readonly $root: Vue;
        readonly $children: Vue[];
        readonly $refs: {
            [key: string]: Vue | Element | Vue[] | Element[];
        };
        readonly $slots: {
            [key: string]: import("vue").VNode[] | undefined;
        };
        readonly $scopedSlots: {
            [key: string]: import("vue/types/vnode").NormalizedScopedSlot | undefined;
        };
        readonly $isServer: boolean;
        readonly $data: Record<string, any>;
        readonly $props: Record<string, any>;
        readonly $ssrContext: any;
        readonly $vnode: import("vue").VNode;
        readonly $attrs: Record<string, string>;
        readonly $listeners: Record<string, Function | Function[]>;
        $mount(elementOrSelector?: string | Element | undefined, hydrating?: boolean | undefined): any;
        $forceUpdate(): void;
        $destroy(): void;
        $set: {
            <T>(object: object, key: string | number, value: T): T;
            <T_1>(array: T_1[], key: number, value: T_1): T_1;
        };
        $delete: {
            (object: object, key: string | number): void;
            <T_2>(array: T_2[], key: number): void;
        };
        $watch(expOrFn: string, callback: (this: any, n: any, o: any) => void, options?: import("vue").WatchOptions | undefined): () => void;
        $watch<T_3>(expOrFn: (this: any) => T_3, callback: (this: any, n: T_3, o: T_3) => void, options?: import("vue").WatchOptions | undefined): () => void;
        $on(event: string | string[], callback: Function): any;
        $once(event: string | string[], callback: Function): any;
        $off(event?: string | string[] | undefined, callback?: Function | undefined): any;
        $emit(event: string, ...args: any[]): any;
        $nextTick(callback: (this: any) => void): void;
        $nextTick(): Promise<void>;
        $createElement: import("vue").CreateElement;
    };
    __decorators__: any[];
    extend<Data, Methods, Computed, PropNames extends string = never>(options?: import("vue/types/options").ThisTypedComponentOptionsWithArrayProps<{
        [x: string]: any;
    } & Vue, Data, Methods, Computed, PropNames> | undefined): import("vue/types/vue").ExtendedVue<{
        [x: string]: any;
    } & Vue, Data, Methods, Computed, Record<PropNames, any>>;
    extend<Data_1, Methods_1, Computed_1, Props>(options?: import("vue/types/options").ThisTypedComponentOptionsWithRecordProps<{
        [x: string]: any;
    } & Vue, Data_1, Methods_1, Computed_1, Props> | undefined): import("vue/types/vue").ExtendedVue<{
        [x: string]: any;
    } & Vue, Data_1, Methods_1, Computed_1, Props>;
    extend<PropNames_1 extends string = never>(definition: import("vue").FunctionalComponentOptions<Record<PropNames_1, any>, PropNames_1[]>): import("vue/types/vue").ExtendedVue<{
        [x: string]: any;
    } & Vue, {}, {}, {}, Record<PropNames_1, any>>;
    extend<Props_1>(definition: import("vue").FunctionalComponentOptions<Props_1, import("vue/types/options").RecordPropsDefinition<Props_1>>): import("vue/types/vue").ExtendedVue<{
        [x: string]: any;
    } & Vue, {}, {}, {}, Props_1>;
    extend(options?: import("vue").ComponentOptions<{
        [x: string]: any;
    } & Vue, import("vue/types/options").DefaultData<{
        [x: string]: any;
    } & Vue>, import("vue/types/options").DefaultMethods<{
        [x: string]: any;
    } & Vue>, import("vue/types/options").DefaultComputed, import("vue/types/options").PropsDefinition<Record<string, any>>, Record<string, any>> | undefined): import("vue/types/vue").ExtendedVue<{
        [x: string]: any;
    } & Vue, {}, {}, {}, {}>;
    nextTick<T_4>(callback: (this: T_4) => void, context?: T_4 | undefined): void;
    nextTick(): Promise<void>;
    set<T_5>(object: object, key: string | number, value: T_5): T_5;
    set<T_6>(array: T_6[], key: number, value: T_6): T_6;
    delete(object: object, key: string | number): void;
    delete<T_7>(array: T_7[], key: number): void;
    directive(id: string, definition?: import("vue").DirectiveFunction | import("vue").DirectiveOptions | undefined): import("vue").DirectiveOptions;
    filter(id: string, definition?: Function | undefined): Function;
    component(id: string): import("vue").VueConstructor<Vue>;
    component<VC extends import("vue").VueConstructor<Vue>>(id: string, constructor: VC): VC;
    component<Data_2, Methods_2, Computed_2, Props_2>(id: string, definition: import("vue").AsyncComponent<Data_2, Methods_2, Computed_2, Props_2>): import("vue/types/vue").ExtendedVue<{
        [x: string]: any;
    } & Vue, Data_2, Methods_2, Computed_2, Props_2>;
    component<Data_3, Methods_3, Computed_3, PropNames_2 extends string = never>(id: string, definition?: import("vue/types/options").ThisTypedComponentOptionsWithArrayProps<{
        [x: string]: any;
    } & Vue, Data_3, Methods_3, Computed_3, PropNames_2> | undefined): import("vue/types/vue").ExtendedVue<{
        [x: string]: any;
    } & Vue, Data_3, Methods_3, Computed_3, Record<PropNames_2, any>>;
    component<Data_4, Methods_4, Computed_4, Props_3>(id: string, definition?: import("vue/types/options").ThisTypedComponentOptionsWithRecordProps<{
        [x: string]: any;
    } & Vue, Data_4, Methods_4, Computed_4, Props_3> | undefined): import("vue/types/vue").ExtendedVue<{
        [x: string]: any;
    } & Vue, Data_4, Methods_4, Computed_4, Props_3>;
    component<PropNames_3 extends string>(id: string, definition: import("vue").FunctionalComponentOptions<Record<PropNames_3, any>, PropNames_3[]>): import("vue/types/vue").ExtendedVue<{
        [x: string]: any;
    } & Vue, {}, {}, {}, Record<PropNames_3, any>>;
    component<Props_4>(id: string, definition: import("vue").FunctionalComponentOptions<Props_4, import("vue/types/options").RecordPropsDefinition<Props_4>>): import("vue/types/vue").ExtendedVue<{
        [x: string]: any;
    } & Vue, {}, {}, {}, Props_4>;
    component(id: string, definition?: import("vue").ComponentOptions<{
        [x: string]: any;
    } & Vue, import("vue/types/options").DefaultData<{
        [x: string]: any;
    } & Vue>, import("vue/types/options").DefaultMethods<{
        [x: string]: any;
    } & Vue>, import("vue/types/options").DefaultComputed, import("vue/types/options").PropsDefinition<Record<string, any>>, Record<string, any>> | undefined): import("vue/types/vue").ExtendedVue<{
        [x: string]: any;
    } & Vue, {}, {}, {}, {}>;
    use<T_8>(plugin: import("vue").PluginObject<T_8> | import("vue").PluginFunction<T_8>, options?: T_8 | undefined): import("vue").VueConstructor<{
        [x: string]: any;
    } & Vue>;
    use(plugin: import("vue").PluginObject<any> | import("vue").PluginFunction<any>, ...options: any[]): import("vue").VueConstructor<{
        [x: string]: any;
    } & Vue>;
    mixin(mixin: import("vue").VueConstructor<Vue> | import("vue").ComponentOptions<Vue, import("vue/types/options").DefaultData<Vue>, import("vue/types/options").DefaultMethods<Vue>, import("vue/types/options").DefaultComputed, import("vue/types/options").PropsDefinition<Record<string, any>>, Record<string, any>>): import("vue").VueConstructor<{
        [x: string]: any;
    } & Vue>;
    compile(template: string): {
        render(createElement: any): import("vue").VNode;
        staticRenderFns: (() => import("vue").VNode)[];
    };
    observable<T_9>(obj: T_9): T_9;
    config: import("vue/types/vue").VueConfiguration;
    version: string;
};
export {};
