import { PrimerClient, CheckoutOptions, PrimerCheckout, PrimerVaultManager } from '@primer-io/checkout-web';
import { onTokenizeSuccessMixin, onResumeSuccessMixin } from './mixins';
declare const Checkout_base: import("vue-class-component/lib/declarations").VueClass<object & Record<never, any> & {
    clientToken: string;
    thirdPartyScriptTimeout: number;
    locale: string;
    customerId: string;
    countryCode: string;
    purchaseInfo: import("@primer-io/checkout-web").PurchaseInformation | import("@primer-io/checkout-web").Callable<[], import("@primer-io/checkout-web").PurchaseInformation> | undefined;
    threeDSecure: import("@primer-io/checkout-web").ThreeDSVerificationOptions | undefined;
    card: import("@primer-io/checkout-web").CheckoutCardOptions | undefined;
    paypal: Pick<import("@primer-io/checkout-web").PayPalOptions, "buttonColor" | "buttonShape" | "buttonSize" | "buttonHeight" | "buttonLabel" | "buttonTagline" | "paymentFlow"> | undefined;
    googlePay: Pick<import("@primer-io/checkout-web").GooglePayOptions, "buttonColor" | "buttonType"> | undefined;
    applePay: Pick<import("@primer-io/checkout-web").ApplePayOptions, "buttonType" | "buttonStyle"> | undefined;
    directDebit: import("@primer-io/checkout-web").DirectDebitOptions | undefined;
    submitButton: import("@primer-io/checkout-web").SubmitButtonOptions | undefined;
    checkoutStyle: import("@primer-io/checkout-web").CheckoutStyle | undefined;
    options: Pick<CheckoutOptions, "countryCode" | "purchaseInfo" | "uxFlow" | "locale" | "customerId" | "allowedCardNetworks" | "allowedPaymentMethods" | "threeDSecure" | "card" | "paypal" | "googlePay" | "applePay" | "klarna" | "directDebit" | "submitButton" | "processingIndicator" | "style" | "errorMessage" | "successScreen">;
} & onTokenizeSuccessMixin & onResumeSuccessMixin>;
export default class Checkout extends Checkout_base {
    primer: PrimerClient | undefined;
    checkout: PrimerCheckout | PrimerVaultManager | undefined;
    mounted(): void;
    mount(): Promise<void>;
}
export {};
